
package de.ivu.elect.business.staat.control;

import java.io.Serializable;

import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.Wahltermin;

public class StaatenGruppeExportContext implements Serializable {

  private static final long serialVersionUID = 1L;

  private final Wahl wahl;

  private final Wahltermin wahltermin;

  public StaatenGruppeExportContext(Wahl wahl) {
    this(wahl, wahl.getWahltermin());
  }

  public StaatenGruppeExportContext(Wahltermin wahltermin) {
    this(null, wahltermin);
  }

  private StaatenGruppeExportContext(Wahl wahl, Wahltermin wahltermin) {
    super();

    this.wahl = wahl;
    this.wahltermin = wahltermin;
  }

  public Wahl getWahl() {
    return wahl;
  }

  public Wahltermin getWahltermin() {
    return wahltermin;
  }
}
